Replies back what it receives to check the service availability.
SignBox API (1.0.0)
For testing purposes, Uanataca provides integrators of a pre-configured test-mode SignBox Optimizer accessible at the following URL: https://optimizer-developers.uanataca.com
For more information about the sandbox environment click here. UANATACA SIGNBOX API Sandbox
https://docs.namirial.app/signbox/
https://docs.namirial.app/signbox/api/v1/echo
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -X GET 'https://signbox.sandbox.uanataca.com/api/v1/echo?message=HelloWorld'Url to download the file to sign. If this parameter is specified, leave file_in blank
Reference environment for sandbox or production
- sandbox
- prod
Types of supported signature profiles:
pades for PDF files
xades for XML files
cades for other files
The OTP code previously sent to the user. This parameter is only required and available for specific digital identities
The id of the session previously opened. This parameter is only required and available for specific digital identities
Specify the level of the signature
BASIC, T, LTV, LTVLITE, LTVA for pades
BASIC, T, EPES, XL for xades
BASIC, T, EPES for cades
Timestamp service URL. This field is required for signatures with levels T or LTV. Required only if not set at settings.toml file.
Page number where the image signature is placed. The first page starts in 0
Describes the signature appearance like an JSON object. The parameters are:
- text This property controls the text that is going to be introduced. Through variables you retrieve information from the signer certificate. '%(CN)', '%(SUBJECT)s', '%(DATE)s', '%(E)s' can be used.
- date Date formatting. An input example would be %d/%m/%Y %H:%M:%S
- timezone Selected timezone for the graphic signature, default is UTC. You can list the time zones with the following linux command: timedatectl list-timezones
- position The coordinates in points (pt) for signature image position and size, starting from bottom left corner (x1,y1,x2,y2). 1px = 0.75pt.
- image The previously uploaded image id
- b64_image the image in base64
- qrcode url used to build a qr
- horizontal
- page The document page where the signature will be placed. The first page starts at 0
- text_size Controls the text size.
- text_align Controls the horizontal alignment of text
- reason Reason about the signature
- location Geographic location about the signature
{
"text": [
"Firmado por: %(CN)s",
"%(EMAIL)s %(L)s %(SUBJECT)s",
"Fecha: %(DATE)s"
],
"date": "%d/%m/%Y %H:%M:%S %z",
"timezone": "America/Guatemala",
"position": "30,100,165,150",
"image": "be1cd133-8be5-4346-87de-d40afd90a3b9",
"horizontal": true,
"page": 0
}Change the signature subfilter. Default ETSI.CAdES.detached
https://docs.namirial.app/signbox/api/v1/sign
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/sign' -H 'Content-Type: multipart/form-data' -F file=@file.pdf --form-string 'username=username' --form-string 'pin=pin' --form-string 'password=password' --form-string 'format=PADES' --form-string 'level=BASIC'No response examplehttps://docs.namirial.app/signbox/api/v1/otp
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/otp' -H 'Content-Type: multipart/form-data' --form-string 'username=username' --form-string 'password=password'{ "status": "success", "message": "OTP generated" }
https://docs.namirial.app/signbox/api/v1/open_session
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/open_session' -H 'Content-Type: multipart/form-data' --form-string 'username=username' --form-string 'password=password' --form-string 'otp=otp'{ "status": "success", "message": "Session opened", "detail": { "sessionid": "a07e9c99-c83e-424f-a396-20b4683fa2a0" } }
https://docs.namirial.app/signbox/api/v1/close_session
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/close_session' -H 'Content-Type: multipart/form-data' --form-string 'username=username' --form-string 'password=password' --form-string 'sessionid=sessionid'